Page MenuHomePhabricator

Source sections are not saved
Closed, ResolvedPublic

Description

Suspected regression from https://gerrit.wikimedia.org/r/c/427351/, Source sections are not send for saving from client side.

A restored translation looks like this:

Causes the js error

TypeError: Cannot read property 'content' of null
    at Object.mw.cx.dm.Translation.static.getSavedSection

The JS error was fixed in https://gerrit.wikimedia.org/r/c/429167/ but the cause for this skipped source section remains unsolved

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 12:21 PM
santhosh triaged this task as High priority.Apr 26 2018, 12:21 PM

Change 429173 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Fix the incorrect condition for saving the source section

https://gerrit.wikimedia.org/r/429173

santhosh moved this task from Needs Triage to CX2 on the ContentTranslation board.
santhosh moved this task from Backlog to In Review on the Language-2018-Apr-June board.

Change 429173 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix the incorrect condition for saving the source section

https://gerrit.wikimedia.org/r/429173

@santhosh
I see couple of different errors when loading saved translations - are they related to the fix?

(1) 'Tour de France' en to de shows 11 errors when a saved translation is loaded:

VM305:1229 Uncaught TypeError: Cannot read property 'getModel' of undefined
    at VeInitMwCXTarget.ve.init.mw.CXTarget.getTargetSectionNode (<anonymous>:1229:196)
    at VeInitMwCXTarget.ve.init.mw.CXTarget.saveSection (<anonymous>:1228:193)
    at MwCxDmTranslation.oo.EventEmitter.emit (<anonymous>:49:486)
    at VeDmCXSectionNode.ve.dm.CXSectionNode.onUpdate (<anonymous>:1113:660)
    at later (load.php?debug=false&lang=en&modules=ext.visualEditor.core|oojs-ui-core%2Coojs-ui-widgets&skin=vector&version=1atip6i:799)

(2) 'Timeline of the Apple II family' as a New translation en to es persistently shows
[CX] Section 19 not restored

Etonkovidova closed this task as Resolved.May 15 2018, 12:35 AM

The error for Timeline of the Apple II family seems very specific and could be addressed outside of this phab task.

Vvjjkkii renamed this task from Source sections are not saved to s5daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed santhosh as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from s5daaaaaaa to Source sections are not saved.Jul 1 2018, 10:06 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to santhosh.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: Aklapper, gerritbot.